Bug 607103 - NFSv4 & rpcgssd fails when run as service; works properly when run in foreground
NFSv4 & rpcgssd fails when run as service; works properly when run in foreground
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
13
i686 Linux
low Severity high
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 04:45 EDT by Anthony Messina
Modified: 2010-10-15 10:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-15 10:58:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Failure as service (5.38 KB, application/octet-stream)
2010-06-23 04:45 EDT, Anthony Messina
no flags Details
Success in the foreground (984 bytes, application/octet-stream)
2010-06-23 04:46 EDT, Anthony Messina
no flags Details

  None (edit)
Description Anthony Messina 2010-06-23 04:45:18 EDT
Created attachment 426201 [details]
Failure as service

Description of problem:
Note that this only occurs on my i686 machines, not my x86_64 machines.  

Using:
kernel-PAE-2.6.33.5-124.fc13.i686
nfs-utils-1.2.2-2.fc13.i686
nfs-utils-lib-1.1.5-1.fc13.i686

The rpcgssd service starts normally and is visibly running (ps ax|grep rpc shows (rpc.gssd -vvv").  However, on the i686 machines, the user is not able to access nfs4 mounts with sec=krb5p as the the server's nfs/<host> service ticket is not propagated to the user's credential cache.

This occurs with "regular" nfs4 mounts from the command line, from fstab at boot or from autofs.

I've attached a success and failure log.
Comment 1 Anthony Messina 2010-06-23 04:46:00 EDT
Created attachment 426202 [details]
Success in the foreground
Comment 2 Anthony Messina 2010-06-27 04:27:27 EDT
I found this link:

http://www.listshow.net/201005/freeipa-users/28184-freeipa-users-nfs4-after-client-upgrade-to-fedora-13.html

which suggested doing "semanage boolean -1 allow_gssd_read_tmp".

That seems to work.  Sorry about the report --my x86_64 machines were running in permissive mode at the time while the i686 ones were enforcing.

However, It still doesn't make sense that rpc.gssd worked in the foreground in enforcing mode with that boolean set to false??
Comment 3 Steve Dickson 2010-10-15 10:58:08 EDT
> However, It still doesn't make sense that rpc.gssd worked in the foreground in
> enforcing mode with that boolean set to false??
Well alot of the SElinux-izms don't make sense, IMHO... ;-) 


I'm going got ahead a close this, please feel free to reopen

Note You need to log in before you can comment on or make changes to this bug.